[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TWindowedStream.Create

Initialize a new instance of TWindowedStream

## Declaration

Source position: streamex.pp line 175

`public constructor TWindowedStream.Create(`
`aStream: TStream;`
`const aSize: Int64;`
`const aPositionHere: Int64 = 0`
`);`

## Arguments

`aStream` |  | Stream to create a window on.
`aSize` |  | Size of the window (in bytes)
`aPositionHere` |  | Start position of the window

## Description

Create will create a new instance of TWindowedStream. The source stream aStream must be specified, as well as the start aPositionHere position of the window in the source stream and the size of the window aSize.

No checks on the validity of aPositionHere and aSize are done.